#pragma once

#include <string>
#include <vector>
#include <ostream>

#include "bufio.h"

namespace compdb {

class Writer {
public:
	Writer(bufio::OStream &stream): buf_(stream) {}
	~Writer();

	void write(
			const std::string &dir, const std::string &file,
			const std::vector<std::string> &cmd);

private:
	bufio::OBuf<> buf_;
	bool first_ = true;
};

}
